# ----------------------------------------------------------------
# Configuration file for DNP3
#-----------------------------------------------------------------


# Use this file to fill out DNP3 settings for your Open PLC
# Uncomment settings as you want them


# Link Settings
#-----------------------------------------------------------------

# local address 
local_address = 10

# master address allowed
remote_address = 1

# keep alive timeout
# time (s) or MAX
# keep_alive_timeout = MAX


# Parameters
#-----------------------------------------------------------------

# enable unsolicited reporting if master allows it
# True or False
enable_unsolicited = True

# how long (seconds) the outstation will allow a operate 
# to follow a select
# select_timeout = 10

# max control commands for a single APDU
# max_controls_per_request = 16

# maximum fragment size the outstation will recieve
# default is the max value
# max_rx_frag_size = 2048

# maximum fragment size the outstation will send if
# it needs to fragment. Default is the max falue
# max_tx_frag_size = 2048

# size of the event buffer
event_buffer_size = 10

# number of values the outstation will report at once
# AKA database size
database_size = 8

# First data point offset for DI - required if slave device used (the address should represent 1st data point of slave device)
offset_di = 800

# First data point offset for DO - required if slave device used (the address should represent 1st data point of slave device)
offset_do = 800

# First data point offset for AI - required if slave device used (the address should represent 1st data point of slave device)
offset_ai = 100

# First data point offset for AO - required if slave device used (the address should represent 1st data point of slave device)
offset_ao = 100

#Timeout for solicited confirms
# in MS
# sol_confirm_timeout = 5000

#Timeout for unsolicited confirms (ms)
# unsol_conrfirm_timeout = 5000

#Timeout for unsolicited retries (ms)
# unsol_retry_timeout = 5000
